Subject: Re: [2.4 PATCH] bugfix: ARP respond on all devices

From: "David S. Miller" <[email-masked]>
Date: Tue, 19 Aug 2003 11:21:03 -0700

On Tue, 19 Aug 2003 19:05:13 +0100
Richard Underwood <[email-masked]> wrote:

> 	The ARP request represents all FUTURE
> packets being sent out that interface, not just the one single packet that
> happened to kick of this ARP request.

That's RIGHT!  And by your own argument the source address
in the ARP request IS IRRELEVANT and is to be ignored!

Ok, I've lost 3 days of talking about ARP non-stop, I think
I'll take a break from these threads for a while, it's getting
to be a bit much.